Package org.eclipse.ecf.filetransfer.identity

# Class FileCreateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.filetransfer.identity.FileCreateException

All Implemented Interfaces:
  `Serializable`

public class FileCreateException extends ECFException
Exception class for creation of `IFileID` instances via `FileIDFactory`

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileCreateException()`
`FileCreateException(String message)`
`FileCreateException(String message, Throwable cause)`
`FileCreateException(Throwable cause)`
`FileCreateException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileCreateException

public FileCreateException(org.eclipse.core.runtime.IStatus status)

### FileCreateException

public FileCreateException()

### FileCreateException

public FileCreateException(String message)

### FileCreateException

public FileCreateException(Throwable cause)

### FileCreateException

public FileCreateException(String message, Throwable cause)